import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/integrationCompany/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/integrationCompany',
    method: 'post',
    data: obj
  })
}

export function getObj(code) {
  return request({
    url: '/integrationCompany/' + code,
    method: 'get'
  })
}


export function getCompanyAll() {
  return request({
    url: '/integrationCompany/all',
    method: 'get'
  })
}

export function delObj(id) {
  return request({
    url: '/integrationCompany/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/integrationCompany',
    method: 'put',
    data: obj
  })

}
